#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	Tools for testing processes
Summary(pl.UTF-8):	Narzędzia do testowania procesów
Name:		python3-process_tests
Version:	3.0.0
Release:	1
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/process-tests/
Source0:	https://files.pythonhosted.org/packages/source/p/process-tests/process-tests-%{version}.tar.gz
# Source0-md5:	f982f20a7266c3dd7e92b92a684687ba
URL:		https://github.com/ionelmc/python-process-tests
BuildRequires:	python3-modules >= 1:3.8
BuildRequires:	python3-setuptools >= 1:30.3.0
%if %{with tests}
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tools for testing processes.

%description -l pl.UTF-8
Narzędzia do testowania procesów.

%prep
%setup -q -n process-tests-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd)/src \
%{__python3} -m pytest tests -k 'not test_socket'
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS.rst CHANGELOG.rst LICENSE README.rst
%{py3_sitescriptdir}/process_tests.py
%{py3_sitescriptdir}/__pycache__/process_tests.cpython-*.py[co]
%{py3_sitescriptdir}/process_tests-%{version}-py*.egg-info
%changelog
* Sun Jun 29 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-process_tests.git;a=log;h=master

* Sun Jun 29 2025 Jakub Bogusz <qboosh@pld-linux.org> 4e35d44
- python-process_tests.spec updated to 3.0.0 for python 3.8+

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> b35b3f5
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> fef0ada
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> e2647db
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 0b87a52
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> c7e345e
- rebuild with python 3.10

* Tue Mar 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 3d07e09
- updated to 2.1.2

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 13770b4
- release 2 (by relup.sh)

* Tue Mar 24 2020 Jakub Bogusz <qboosh@pld-linux.org> 9bbefd7
- updated to 2.0.2

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 243d9f5
- rebuild with python 3.8
- release 2 (by relup.sh)

* Mon Jul 30 2018 Jakub Bogusz <qboosh@pld-linux.org> 2afaf53
- updated to 2.0.0

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c13644
- release 2 (by relup.sh)

* Tue Mar 07 2017 Jakub Bogusz <qboosh@pld-linux.org> 5bd5d92
- new

